# Class AttachNotSupportedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sun.tools.attach.AttachNotSupportedException

All Implemented Interfaces:
  `Serializable`

public class AttachNotSupportedException extends Exception
Thrown by `VirtualMachine.attach` when attempting to attach to a Java virtual machine for which a compatible `AttachProvider` does not exist. It is also thrown by `AttachProvider.attachVirtualMachine` if the provider attempts to attach to a Java virtual machine with which it not comptatible.

Since:
  1.6
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`AttachNotSupportedException()`
Constructs an `AttachNotSupportedException` with no detail message.
`AttachNotSupportedException(String s)`
Constructs an `AttachNotSupportedException` with the specified detail message.

## Method Summary

### Methods declared in class Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### AttachNotSupportedException

public AttachNotSupportedException()
Constructs an `AttachNotSupportedException` with no detail message.

### AttachNotSupportedException

public AttachNotSupportedException(String s)
Constructs an `AttachNotSupportedException` with the specified detail message.

Parameters:
  `s` - the detail message.